import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:syncrow_web/pages/device_managment/shared/device_controls_container.dart';
import 'package:syncrow_web/utils/color_manager.dart';
import 'package:syncrow_web/utils/constants/assets.dart';
import 'package:syncrow_web/utils/extension/build_context_x.dart';

class FactoryResetWidget extends StatelessWidget {
  const FactoryResetWidget({super.key, required this.callFactoryReset});

  final Null Function() callFactoryReset;

  @override
  Widget build(BuildContext context) {
    return DeviceControlsContainer(
      child: GestureDetector(
        onTap: callFactoryReset,
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: [
            ClipOval(
                child: Container(
              color: ColorsManager.whiteColors,
              height: 60,
              width: 60,
              child: Padding(
                padding: const EdgeInsets.all(12.0),
                child: SvgPicture.asset(
                  Assets.factoryReset,
                  fit: BoxFit.cover,
                ),
              ),
            )),
            Text(
              'Factory Reset',
              style: context.textTheme.titleMedium!.copyWith(
                fontWeight: FontWeight.w400,
                color: ColorsManager.blackColor,
              ),
            ),
          ],
        ),
      ),
    );
  }
}
