import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:syncrow_web/pages/device_managment/shared/device_controls_container.dart';
import 'package:syncrow_web/utils/color_manager.dart';
import 'package:syncrow_web/utils/constants/assets.dart';
import 'package:syncrow_web/utils/extension/build_context_x.dart';

class FirmwareUpdateWidget extends StatelessWidget {
  const FirmwareUpdateWidget(
      {super.key, required String deviceId, required int version});

  @override
  Widget build(BuildContext context) {
    return DeviceControlsContainer(
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: [
          ClipOval(
              child: Container(
            color: ColorsManager.whiteColors,
            height: 60,
            width: 60,
            child: Padding(
              padding: const EdgeInsets.all(12.0),
              child: SvgPicture.asset(
                Assets.firmware,
                fit: BoxFit.cover,
              ),
            ),
          )),
          Text(
            'Firmware Update',
            style: context.textTheme.titleMedium!.copyWith(
              fontWeight: FontWeight.w400,
              color: ColorsManager.blackColor,
            ),
          ),
        ],
      ),
    );
  }
}
